Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class FmlKey

    java.lang.Object
      weblogic.wtc.jatmi.FmlKey

All Implemented Interfaces:
  Comparable

    public final class FmlKey

extends Object
implements Comparable

This class represents the combination of FML field id and occurance.

See Also:
  `FML`, `mkfldclass`

Constructor Summary
`FmlKey(FmlKey toCopy)` Constructor.
`FmlKey(int fldid, int occurrence)` Constructor.

Method Summary
`int` | `compareTo(Object obj)` orders two FmlKey objects
`boolean` | `equals(Object obj)` Compares two FmlKey objects
`int` | `get_fldid()` Returns the field id associated with this key
`int` | `get_occurance()` Deprecated. As of 9.2, replaced by get_occurrence().
`int` | `get_occurrence()` Returns the occurrence number associated with this key
`int` | `hashCode()` return hash code value
`void` | `set_occurance(int occurrence)` Deprecated. As of 9.2, replaced by set_occurrence(int occurrence).
`void` | `set_occurrence(int occurrence)` sets the occurrence number of this key
`String` | `toString()` Returns a string version of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FmlKey

    public FmlKey(int fldid,
                  int occurrence)

  Constructor. Takes the fml field id and occurrence number

  Parameters:
    `fldid` - A FML field ID
    `occurrence` - The occurrence where this field should occur in an FML buffer

### FmlKey

    public FmlKey(FmlKey toCopy)

  Constructor. Copies an existing FmlKey.

  Parameters:
    `toCopy` - A FmlKey object to copy

Method Detail

### get_fldid

    public int get_fldid()

  Returns the field id associated with this key

  Returns:
    the field id associated with this key

### get_occurrence

    public int get_occurrence()

  Returns the occurrence number associated with this key

  Returns:
    the occurrence number associated with this key

### get_occurance

    public int get_occurance()

  Deprecated. As of 9.2, replaced by get_occurrence().

  Returns the occurrence number associated with this key

  Returns:
    the occurrence number associated with this key

### set_occurrence

    public void set_occurrence(int occurrence)

  sets the occurrence number of this key

  Parameters:
    `occurrence` - The occurrence number for this key

### set_occurance

    public void set_occurance(int occurrence)

  Deprecated. As of 9.2, replaced by set_occurrence(int occurrence).

  sets the occurance number of this key

  Parameters:
    `occurance` - The occurance number for this key

### equals

    public boolean equals(Object obj)

  Compares two FmlKey objects

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - An object to compare to this object
  Returns:
    true if the objects are equal, false otherwise

### toString

    public String toString()

  Returns a string version of this object. The string version consists of the fldid and occurance number.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation of a FmlKey object

### hashCode

    public int hashCode()

  return hash code value

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the int value of hash code.

### compareTo

    public int compareTo(Object obj)

  orders two FmlKey objects

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `obj` - The FmlKey object to compare to this one
  Returns:
    -1 if this object comes before obj, 0 if they are equal and 1 if this object comes after obj

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD